---
title: llarp::dht::ConsensusMessage

---

# llarp::dht::ConsensusMessage





## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [ShortHash](Classes/structllarp_1_1AlignedBuffer.md) | **[m_Hash](Classes/structllarp_1_1dht_1_1ConsensusMessage.md#variable-m-hash)** <br>H.  |
| std::vector< [RouterID](Classes/structllarp_1_1RouterID.md) > | **[m_Keys](Classes/structllarp_1_1dht_1_1ConsensusMessage.md#variable-m-keys)** <br>K.  |
| uint64_t | **[m_NumberOfEntries](Classes/structllarp_1_1dht_1_1ConsensusMessage.md#variable-m-numberofentries)** <br>N.  |
| uint64_t | **[m_EntryOffset](Classes/structllarp_1_1dht_1_1ConsensusMessage.md#variable-m-entryoffset)** <br>O.  |
| uint64_t | **[m_TxID](Classes/structllarp_1_1dht_1_1ConsensusMessage.md#variable-m-txid)** <br>T.  |
| llarp_time_t | **[m_NextUpdateRequired](Classes/structllarp_1_1dht_1_1ConsensusMessage.md#variable-m-nextupdaterequired)** <br>U.  |
| [RouterVersion](Classes/structllarp_1_1RouterVersion.md) | **[m_RotuerVersion](Classes/structllarp_1_1dht_1_1ConsensusMessage.md#variable-m-rotuerversion)** <br>V.  |

## Public Attributes Documentation

### variable m_Hash

```cpp
ShortHash m_Hash;
```

H. 

### variable m_Keys

```cpp
std::vector< RouterID > m_Keys;
```

K. 

### variable m_NumberOfEntries

```cpp
uint64_t m_NumberOfEntries;
```

N. 

### variable m_EntryOffset

```cpp
uint64_t m_EntryOffset;
```

O. 

### variable m_TxID

```cpp
uint64_t m_TxID;
```

T. 

### variable m_NextUpdateRequired

```cpp
llarp_time_t m_NextUpdateRequired;
```

U. 

### variable m_RotuerVersion

```cpp
RouterVersion m_RotuerVersion;
```

V. 

-------------------------------

Updated on 2023-01-20 at 23:19:39 +0000